proc lifereg data=mae526.leucemia;
 model tempo*delta(-1) = grupo / dist=weibull;
 output out=a cdf=f;
 run;

 data b;
 set a;
 e=-log(1-f);
 run;

 proc lifetest data = b plots=(ls) notable graphics;
 time e*delta(-1);
 symbol1 v=none;
 run;